<div ng-controller="measureCampainListController as self" ng-init="self.init('<?= $this->from ?>', <?= $this->object ? $this->object->getId() : 'null' ?>)">
	<table-builder options="self.options" items="self.measures" class="table-builder">
		<?= $this->translate('measure_campain_nav_list') ?>
		<div class="row">
			<div class="col-sm-3">
				<div class="table-filters little-panel">
					<div class="title table-filters-header">
						<div class="input-group">
							<div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed">
								<?= $this->icon('filters', 'fa fa-caret-down') ?>
							</div>
							<input type="text" placeholder="<?= $this->translate('search', null, null, false) ?>" class="form-control"
									ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()"/>
							<div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
								<?= $this->icon('search', 'fa-fw') ?>
							</div>
						</div>
					</div>
					<div id="filters-collapsed" class="body collapse">
						<?= $this->tableFilter('__tb.apiParams.search.data.filters', $this->measurecampainFilters()); ?>
						<div class="row">
							<div class="col-xs-6">
								<button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?= $this->translate('table_filter_reset_button') ?></button>
							</div>
							<div class="col-xs-6 text-right">
								<button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
									<?= $this->icon('search', 'fa-fw') ?>
									<?= $this->translate('table_filter_button') ?>
								</button>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-sm-3">
				<table-builder-columns></table-builder-columns>
			</div>
			<?php if ($this->acl()->isAllowed('application:e:query:r')) : ?>
			<div class="col-sm-3">
				<table-builder-queries></table-builder-queries>
			</div>
			<?php endif; ?>
			<div class="col-sm-3">
				<div class="btn-group pull-right">
					<button class="btn btn-lg" ng-click="__tb.removeFromList()" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
						<?= $this->icon('eraser', 'fa-fw pointer') ?>
					</button>
					<button class="btn btn-lg btn-excel" type="button" ng-click="__tb.exportExcel()" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
						<?= $this->icon('excel', 'fa-fw pointer') ?>
					</button>
				</div>
				<div class="btn-group pull-right">
					<button type="button" class="btn btn-lg" ng-click="showChart = !showChart" tooltip="<?= $this->translate('tooltip_show_chart') ?>">
						<i class="fa" ng-class="{
                            'fa-line-chart': !showChart,
                            'fa-list': showChart
                        }"></i>
					</button>
				</div>
			</div>
		</div>
		<div class="row" ng-show="showChart">
			<div class="col-sm-6" ng-repeat="chart in self.charts">
				<nvd3 options="chart.options" data="chart.data" api="chart.api"></nvd3>
			</div>
		</div>
		<div class="row" ng-show="!showChart">
			<div class="col-xs-12">
				<form name="measureForm">
					<table id="measure-table-builder" table-builder-table class="table table-bordered table-condensed table-hover">
						<thead>
							<tr>
								<th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
								<th tb-column tb-name="realisedIndicator.name" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_indicator') ?></th>
								<th tb-column tb-name="realisedgroupIndicator.name" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_groupIndicator') ?></th>
								<th tb-column tb-name="user.name" tb-sortable="true" tb-toggle="true"><?= $this->translate('campain_field_referent') ?></th>
								<th tb-column tb-name="realiseproject.name" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_project') ?></th>
								<?php if ($this->module()->isActive('map')) : ?>
									<th tb-column tb-name="realiseMeasure.territories" tb-sortable="false" tb-toggle="true"><?= $this->translate('measure_field_territories') ?></th>
								<?php endif; ?>
								<th tb-column tb-name="realiseMeasure.value" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_type_done') ?></th>
								<th tb-column tb-name="targetMeasure.value" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_type_target') ?></th>
								<th tb-column tb-name="ratio" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_ratio') ?></th>
								<th tb-column tb-name="supposedDate" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_campain_field_supposed_date') ?></th>
								<th tb-column tb-name="targetMeasure.start" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_start') ?></th>
								<th tb-column tb-name="targetMeasure.date" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_date') ?></th>
								<th tb-column tb-name="targetMeasure.updatedAt" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_updatedAt') ?></th>
								<th tb-column tb-name="actions" class="actions-column"></th>
							</tr>
						</thead>
						<tbody ng-repeat="(indicator, measures) in self.measures | groupBy : 'realiseMeasure.indicator.name'">
							<tr class="group">
								<td colspan="14" class="pointer" ng-click="showMeasures = !showMeasures">
									<i class="fa fa-caret-right" ng-class="{'fa-caret-right' : !showMeasures, 'fa-caret-down' : showMeasures}"></i>
									{{indicator}}
								</td>
							</tr>
							<tr ng-repeat="measure in measures" ng-class="{editing: self.editedLine == measure}" ng-show="showMeasures">
								<td><input type="checkbox" ng-model="measure.selected"/></td>
								<td>
									<a ng-if="measure._rights.read" href="<?= $this->url('indicator/form') ?>/{{measure.realiseMeasure.indicator.id}}">{{measure.realiseMeasure.indicator.name}}</a>
                                    <span ng-if="!measure._rights.read">{{measure.realiseMeasure.indicator.name}}</span> 
								</td>
								<td >
									<span class="comma-separated">
										<span ng-repeat="groupIndicator in measure.realiseMeasure.indicator.groupIndicators">
											<a ng-if="measure._rights.read"  href="<?= $this->url('group-indicator/form') ?>/{{groupIndicator.id}}">
												{{groupIndicator.name}}
											</a>
										</span>
										<span ng-repeat="groupIndicator in measure.realiseMeasure.indicator.groupIndicators" ng-if="!measure._rights.read">
											{{groupIndicator.name}}
										</span> 
									</span>
								</td>
								<td>
									<span class="comma-separated">
										<span ng-repeat="user in measure.indicator.users">
											<a ng-if="measure._rights.read" href="<?= $this->url('user/form') ?>/{{user.id}}">
											{{user.name}}
											</a>
										</span> 
										<span ng-repeat="user in measure.indicator.users" ng-if="!measure._rights.read">{{user.name}}</span> 
									</span> 
								</td>
								<td>
									<?php if ($this->acl()->isAllowed('project:e:project:r')) : ?>
										<a href="<?= $this->url('project/form') ?>/{{measure.realiseMeasure.project.id}}">{{measure.realiseMeasure.project.name}}</a>
									<?php else : ?>
										{{measure.realiseMeasure.project.name}}
									<?php endif; ?>
								</td>
								<?php if ($this->module()->isActive('map')) : ?>
									<td>
										<span class="comma-separated">
											<span ng-repeat="territory in measure.realiseMeasure.territories">
												{{territory.name}}</span>
										</span>
									</td>
								<?php endif; ?>
								<td ng-style="{background: measure.realiseMeasure.fixedValue.color}" class="editable">
									<span ng-show="self.editedLine !== measure">
										{{null !==measure.realiseMeasure.fixedValue.text  && undefined !==measure.realiseMeasure.fixedValue.text  ? measure.realiseMeasure.fixedValue.text : '<?= $this->translate("measure_field_value_notspecified") ?>'}}
										<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(measure)', 'ng-if' => 'measure._rights.update']) ?>
									</span>
									<span ng-show="self.editedLine == measure">
										<input type="text" input-mask="decimal" class="form-control input-sm"
													 ng-if="self.editedLine.realiseMeasure.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FREE ?>'" ng-model="self.editedLineFields.realiseMeasure.value"/>

										<select class="form-control input-sm"
														ng-if="self.editedLine.realiseMeasure.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FIXED ?>'" ng-model="self.editedLineFields.realiseMeasure.value"
														ng-options="+(value.value) as value.text for value in self.editedLine.realiseMeasure.indicator.values">
											<option></option>
										</select>

										<field-errors field="value" errors="self.editedLineErrors"></field-errors>
									</span>
								</td>
								<td ng-style="{background: measure.targetMeasure.fixedValue.color}" class="editable">
									<span ng-show="self.editedLine !== measure">
										{{null !== measure.targetMeasure.fixedValue.text  && undefined !== measure.targetMeasure.fixedValue.text  ?measure.targetMeasure.fixedValue.text : '<?= $this->translate("measure_field_value_notspecified") ?>'}}
										<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(measure)', 'ng-if' => 'measure._rights.update']) ?>
									</span>
									<span ng-show="self.editedLine == measure">
										<input type="text" input-mask="decimal" class="form-control input-sm"
													 ng-if="self.editedLine.targetMeasure.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FREE ?>'" ng-model="self.editedLineFields.targetMeasure.value"/>

										<select class="form-control input-sm"
														ng-if="self.editedLine.targetMeasure.indicator.type == '<?= \Indicator\Entity\Indicator::TYPE_FIXED ?>'" ng-model="self.editedLineFields.targetMeasure.value"
														ng-options="+(value.value) as value.text for value in self.editedLine.targetMeasure.indicator.values">
											<option></option>
										</select>

										<field-errors field="value" errors="self.editedLineErrors"></field-errors>
									</span>
								</td>
								<td>
									<span>{{ (self.getRatioPercentage(measure) | number:2 ) || '<?= $this->translate("measure_field_value_notaNumber")?>'}}</span>
									<span ng-if="self.getRatioPercentage(measure)">%</span>
							    </td>
								<td class="editable">
									<span ng-show="self.editedLine !== measure">
										{{measure.supposedDate | dateFormat : 'DD/MM/YYYY'}}
										<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(measure)', 'ng-if' => 'measure._rights.update']) ?>
									</span>
									<span ng-show="self.editedLine == measure">
										<input type="text" name="supposedDate" class="form-control input-sm" required autocomplete="off"
													 input-mask="qdate"
													 ng-model="self.editedLineFields.supposedDate"/>
										<field-errors field="supposedDate" errors="self.editedLineErrors"></field-errors>
									</span>	

								</td>
								<td class="editable">
									<span ng-show="self.editedLine !== measure">
										{{measure.targetMeasure.start | dateFormat : 'DD/MM/YYYY'}}
										<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(measure)', 'ng-if' => 'measure._rights.update']) ?>
									</span>
									<span ng-show="self.editedLine == measure">
										<input type="text" name="targetMeasure.start" class="form-control input-sm" required autocomplete="off"
													 input-mask="qdate"
													 ng-model="self.editedLineFields.targetMeasure.start"/>
										<field-errors field="targetMeasure.start" errors="self.editedLineErrors"></field-errors>
									</span>	

								</td>
								<td class="editable">
									<span ng-show="self.editedLine !== measure">
										{{measure.targetMeasure.date | dateFormat : 'DD/MM/YYYY'}}
									</span>
									<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(measure)', 'ng-if' => 'measure._rights.update']) ?>
									<span ng-show="self.editedLine == measure">
										<input type="text" name="targetMeasure.date" class="form-control input-sm" required autocomplete="off"
													 input-mask="qdate"
													 ng-model="self.editedLineFields.targetMeasure.date"/>
										<field-errors field="targetMeasure.date" errors="self.editedLineErrors"></field-errors>
									</span>	
								</td>
								<td>{{measure.targetMeasure.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
								<td>
									<div class="btn-group btn-group-actions" ng-if="self.editedLine != measure">
										<?php if ($this->acl()->isAllowed('campain:e:measure:u')): ?>
											<a ng-if="measure._rights.update" class="btn btn-xs btn-default" ng-click="self.editMeasure(measure);" tooltip="<?= $this->translate(
												'tooltip_edit'
											) ?>">
												<?= $this->icon('edit') ?>
											</a>
										<?php endif; ?>

										<?php if ($this->acl()->isAllowed('campain:e:measure:d')): ?>
											<a ng-if="measure._rights.delete" ng-click="self.deleteMeasure(measure);" class="btn btn-xs btn-default" tooltip="<?= $this->translate(
												'tooltip_delete'
											) ?>">
												<?= $this->icon('delete') ?>
											</a>
										<?php endif; ?>
											
									</div>
									<div class="btn-group btn-group-actions" ng-if="self.editedLine == measure">
										<button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(measure)" type="submit" tooltip="<?= $this->translate('tooltip_save') ?>">
											<?= $this->icon('save') ?>
										</button>
										<button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?= $this->translate('tooltip_cancel') ?>">
											<?= $this->icon('close') ?>
										</button>
									</div>
								</td>
							</tr>
						</tbody>
					</table>
				</form>
			</div>
		</div>
		<?= $this->partial('partial/measure/form-modal.phtml', ['isMaster'=> $this->isMaster, 'from' => $this->from, 'object' => $this->object]) ?>
	</table-builder>
</div>
<?php
$this->angular('js/src/campain/controller/measure/list.js');
$this->angular('js/src/campain/service/measure.js');
?>
